import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infcpd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
						},
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						seapaytyp:"",			//  Payment Type		.seapaytyp
						msgtyp:"",			//  Swift type		.msgtyp
						tsnflg:"",			//  同名划转标志		.tsnflg
						countcode:"",			//  国家代码		.countcode
						cpdgrp:{
							rec:{
								ownref:"",			//  Our Reference		.cpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.cpdgrp.rec.nam
								valdat:"",			//  Value Date		.cpdgrp.rec.valdat
								detchgcod:"",			//  Details of Charges		.cpdgrp.rec.detchgcod
								stagod:"",			//  Good's Code for Statistics		.cpdgrp.rec.stagod
								f23e:"",			//  指令代码		.cpdgrp.rec.f23e
								curf33b:"",			//  原始金额		.cpdgrp.rec.curf33b
								amtf33b:"",			//  原始金额		.cpdgrp.rec.amtf33b
								f36:"",			//  汇率		.cpdgrp.rec.f36
								cur71f:"",			//  发报行扣费金额		.cpdgrp.rec.cur71f
								amt71f:"",			//  发报行扣费金额		.cpdgrp.rec.amt71f
								f23b:"",			//  银行操作码		.cpdgrp.rec.f23b
								pyeact:"",			//  收款人帐号		.cpdgrp.rec.pyeact
								sztyp:"",			//  收支类型		.cpdgrp.rec.sztyp
								orcact:"",			//  汇款人帐号		.cpdgrp.rec.orcact
								trntyp:"",			//  汇款性�'�		.cpdgrp.rec.trntyp
								paytype:"",			//  汇款方式		.cpdgrp.rec.paytype
								gors:"",			//  收款对象		.cpdgrp.rec.gors
								paydat:"",			//  付款日期		.cpdgrp.rec.paydat
								clityp:"",			//  客户类型		.cpdgrp.rec.clityp
								feecur:"",			//  国外�'�用币种		.cpdgrp.rec.feecur
								sysno:"",			//  清算编号		.cpdgrp.rec.sysno
								swftyp:"",			//  swift type		.cpdgrp.rec.swftyp
								othbch:"",			//  所属行		.cpdgrp.rec.othbch
								feeamt:"",			//  国外�'�用金额		.cpdgrp.rec.feeamt
								tsnflg:"",			//  同名划转标志		.cpdgrp.rec.tsnflg
							},
							cbs:{
								nom1:{
									cur:"",			//  Currency		.cpdgrp.cbs.nom1.cur
									amt:"",			//  汇款金额		.cpdgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.cpdgrp.cbs.max.cur
									amt:"",			//  汇款金额		.cpdgrp.cbs.max.amt
								},
							},
							pye:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.pye.namelc
								adrelc:"",			//  地址		.cpdgrp.pye.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.pye.dbfadrblkcn
							},
							snd:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.snd.namelc
								adrelc:"",			//  地址		.cpdgrp.snd.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.snd.dbfadrblkcn
							},
							blk:{
								contag70:"",			//  Content of TAG 70		.cpdgrp.blk.contag70
							},
							orc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.orc.namelc
								adrelc:"",			//  地址		.cpdgrp.orc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.orc.dbfadrblkcn
							},
							ori:{
								pts:new Pts().data,
								namelc:"",			//  名称		.cpdgrp.ori.namelc
								adrelc:"",			//  地址		.cpdgrp.ori.adrelc
								dbfadrblkcn:"",			//  Chinese address		.cpdgrp.ori.dbfadrblkcn
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							shktyp:"",			//  static text 收汇款对象		.recpan.shktyp
							valdat:"",			//  static text		.recpan.valdat
							paydatsta:"",			//  static of paydat		.recpan.paydatsta
							feesta:"",			//  static of fee		.recpan.feesta
							clmlab:"",			//  static lable value		.recpan.clmlab
							commetlab:"",			//  自�'�区备注label		.recpan.commetlab
							pyep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.pyep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.pyep.ptsget.sdamod.dadsnd
									},
								},
							},
							sndp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.recpan.sndp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.recpan.sndp.ptsget.sdamod.seainf
									},
								},
							},
							orcp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.orcp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.orcp.ptsget.sdamod.dadsnd
									},
								},
							},
							orip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.orip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.orip.ptsget.sdamod.dadsnd
									},
								},
							},
							payuil:"",			//  Uil Payment		.recpan.payuil
							seclab:"",			//  static text		.recpan.seclab
							resbch:"",			//  接收行行号		.recpan.resbch
							resbchnam:"",			//  汇款人名称		.recpan.resbchnam
							commet:"",			//  附言		.recpan.commet
							flg:"",			//  电汇凭证		.recpan.flg
							bustyp:"",			//  业务种类		.recpan.bustyp
							secmod:"",			//  二代模式		.recpan.secmod
							orcadr:"",			//  付款人地址		.recpan.orcadr
							pyeadr:"",			//  收款人地址		.recpan.pyeadr
							pyebchkey:"",			//  收款人名称		.recpan.pyebchkey
							pyebchnam:"",			//  收款人开户行名称		.recpan.pyebchnam
							pyenam:"",			//  收款人名称		.recpan.pyenam
							orcnam:"",			//  付款人名称		.recpan.orcnam
							cleage:"",			//  清算代理行		.recpan.cleage
							evebch:"",			//  光大开户分行		.recpan.evebch
							coract:"",			//  清算代理行账号		.recpan.coract
							liqtyp:"",			//  清算模式		.recpan.liqtyp
							comsystbl:"",			//  自�'�区备注		.recpan.comsystbl
							reconebch:"",			//  收款�'接参与者行号		.recpan.reconebch
							reconebchnam:"",			//  收款�'接参与者名称		.recpan.reconebchnam
							draweecountcode:"",			//  付款人常驻国家/地区代码		.recpan.draweecountcode
							payeecountcode:"",			//  收款人常驻国家/地区代码		.recpan.payeecountcode
							uetr:"",			//  Uetr		.recpan.uetr
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}