import Cptadv from "./Cptadv"
import Cptopn from "./Cptopn"
import Diasel from "./Diasel"
import Bopsel from "./Bopsel"
import Ditame from "./Ditame"
import Ditsel from "./Ditsel"
import Ditopn from "./Ditopn"
import Office from "./Office"
import Sptsel from "./Sptsel"
import Trnrel from "./Trnrel"
import Tstopn from "./Tstopn"
import Bdtudp from "./Bdtudp"
import Trndtl from "./Trnrel/Trndtl"
import Infpta from "./Infpta"

import Letsel from "./Letsel"
import Letopn from "./Letopn"
import Letame from "./Letame"
import Letrsv from './Letrsv'

import Sptrel from "./Sptrel"
import Sptrou from "./Sptrou"
import Bddsel from "./Bddsel"
import Infbdd from "./Infbdd"
import Mgrtsk from "./Mgrtsk"
import Switsk from "./Switsk"
import Infusr from "./Infusr"
import Infcpd from "./Infcpd"
import Bctacc from "./Bctacc"
import Infcur from "./Infcur"
import Infbed from "./Infbed"
//光大添加
import Brtlat from "./Brtlat"
import Litopn from "./Litopn"
import Litcan from "./Litcan"
import Litdav from "./Litdav"
import Litdck from "./Litdck"
import Inflid from "./Inflid"
import Inftrd from "./Inftrd"
import Trtame from "./Trtame"
// import Infdet from "./Infdet"

/**
 * 带有name的才会被添加进顶部的标签页里
 */
const BusRouter = [
  { path: 'bdtudp', component: Bdtudp, name: 'Bdtudp', meta: { title: '国内证承兑' } },
  { path: 'cptadv', component: Cptadv, name: 'Cptadv', meta: { title: '汇入汇款' } },
  { path: 'cptopn', component: Cptopn, name: 'Cptopn', meta: { title: '汇出汇款' } },
  { path: 'diasel', component: Diasel, name: 'Diasel', meta: { title: '备忘录选择交易' } },
  { path: 'bopsel', component: Bopsel, name: 'Bopsel', meta: { title: '待申报列表' } },
  { path: 'ditame', component: Ditame, name: 'Ditame', meta: { title: '信用证修改' } },
  { path: 'ditsel', component: Ditsel, name: 'Ditsel', meta: { title: '信用证查询' } },
  { path: 'ditopn', component: Ditopn, name: 'Ditopn', meta: { title: '买方信用证开立' } },
  // 例
  { path: 'ditopn/:inr', component: Ditopn, name: 'DitopnInr', meta: { title: (params) => { return '买方信用证开立-' + params.inr } } },
  { path: 'office', component: Office, name: 'Office', meta: { title: 'Office' } },
  { path: 'sptsel', component: Sptsel, name: 'Sptsel', meta: { title: '待办任务' } },
  { path: 'trnrel', component: Trnrel, name: 'Trnrel', meta: { title: '复核任务' } },
  { path: 'trndtl', query: 'inr', component: Trndtl, name: 'Trndtl', meta: { title: 'Trndtl' } },
  { path: 'tstopn', component: Tstopn, name: 'Tstopn', meta: { title: 'Tstopn' } },
  { path: 'infpta', component: Infpta, name: 'Infpta', meta: { title: 'Infpta' } },
  { path: 'letsel', component: Letsel, name: 'Letsel', meta: { title: '出口信用证通知' } },
  { path: 'letopn', component: Letopn, name: 'Letopn', meta: { title: '出口信用证通知' } },
  { path: 'letame', component: Letame, name: 'Letame', meta: { title: '出口信用证修改' } },
  { path: 'letrsv', component: Letrsv, name: 'Letrsv', meta: { title: '出口信用证补通知' } },

  { path: 'sptrel', component: Sptrel, name: 'Sptrel', meta: { title: 'Sptrel' } },
  { path: 'sptrou', component: Sptrou, name: 'Sptrou', meta: { title: 'Sptrou' } },
  { path: 'bddsel', component: Bddsel, name: 'Bddsel', meta: { title: 'Bddsel' } },
  { path: 'infbdd', component: Infbdd, name: 'Infbdd', meta: { title: '买方信用证单据查询' } },
  { path: 'mgrtsk', component: Mgrtsk, name: 'Mgrtsk', meta: { title: 'Mgrtsk' } },
  { path: 'switsk', component: Switsk, name: 'Switsk', meta: { title: 'Switsk' } },
  { path: 'infusr', component: Infusr, name: 'Infusr', meta: { title: '用户信息' } },
  { path: 'infcpd', component: Infcpd, name: 'Infcpd', meta: { title: '汇款查询' } },
  { path: 'bctacc', component: Bctacc, name: 'Bctacc', meta: { title: 'Bctacc' } },
  { path: 'infcur', component: Infcur, name: 'Infcur', meta: { title: 'Infcur' } },
  { path: 'infbed', component: Infcur, name: 'Infbed', meta: { title: 'Infbed' } },
  //光大添加
  { path: 'brtlat', component: Brtlat, name: 'Brtlat', meta: { title: '进口信用证单据偿还垫款' } },
  { path: 'litopn', component: Litopn, name: 'Litopn', meta: { title: '进口信用证开立' } },
  { path: 'litcan', component: Litcan, name: 'Litcan', meta: { title: '进口信用证注销' } },
  { path: 'litdav', component: Litdav, name: 'Litdav', meta: { title: '进口信用证通知到单 ' } },
  { path: 'litdck', component: Litdck, name: 'Litdck', meta: { title: '进口信用证到单' } },
  { path: 'inflid', component: Inflid, name: 'Inflid', meta: { title: '进口信用证查询' } },
  { path: 'inftrd', component: Inftrd, name: 'Inftrd', meta: { title: '进口押汇查询' } },
  { path: 'trtame', component: Trtame, name: 'Trtame', meta: { title: '进口融资修改' } },
  // { path: 'infdet', component: Infdet, name: 'Infdet', meta: { title: 'Infdet' } },
]
export default BusRouter